summaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
authorTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-19 22:46:45 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-27 22:11:03 +0000
commit1399d6e130596443f98fdb3f3d52d3aa30facb69 (patch)
treea3871aaec6bf2c85b9d5842d48b20da5c3b6a3a6 /coin/provisioning
parent2d71b84893af65823d6ab18afffebfffdc032333 (diff)
Add set -ex to provisioning scripts for RHEL 7.4
Task-number: QTQAINFRA-1659 Change-Id: I9e3c1ec559eab29ccb693956201fc2b63f999882 Reviewed-by: Joni Jäntti <joni.jantti@qt.io> Reviewed-by: Simo Fält <simo.falt@qt.io>
Diffstat (limited to 'coin/provisioning')
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh36
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh1
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh3
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh4
13 files changed, 58 insertions, 4 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh
index a76a8638..2f7adf54 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh
@@ -33,6 +33,8 @@
##
#############################################################################
+set -ex
+
# refresh local certificates
sudo subscription-manager refresh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh
index 22bf19a3..f2caf274 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh
@@ -33,7 +33,7 @@
##
#############################################################################
-set -e
+set -ex
BASEDIR=$(dirname "$0")
source $BASEDIR/../common/network_test_server_ip.txt
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh
index 2697de04..08c4371a 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh
@@ -1,2 +1,38 @@
#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
sudo subscription-manager repos --enable rhel-workstation-rhscl-7-rpms
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh
index 439e2db5..5667058f 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh
@@ -33,6 +33,8 @@
##
#############################################################################
+set -ex
+
sudo yum-config-manager --enable rhel-server-rhscl7-rpms
sudo yum -y install devtoolset-4
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh
index a8e812bd..4565a843 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh
@@ -33,7 +33,7 @@
##
#############################################################################
-set -e
+set -ex
installPackages=()
installPackages+=(git)
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh
index abbda212..bf2e1ce9 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh
@@ -1,4 +1,5 @@
#!/usr/bin/env bash
+set -ex
BASEDIR=$(dirname "$0")
. $BASEDIR/../common/sw_versions.txt
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh
index 46976e9a..bd94aba9 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh
@@ -35,6 +35,8 @@
# This script installs CMake 3.6.2
+set -ex
+
# CMake is needed for autotests that verify that Qt can be built with CMake
source "${BASH_SOURCE%/*}/../common/cmake_linux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh
index 4a4031cc..73591496 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh
@@ -33,4 +33,6 @@
##
#############################################################################
+set -ex
+
source "${BASH_SOURCE%/*}/../common/qnx_700.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh
index 56b1556d..b8c88dee 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh
@@ -33,4 +33,6 @@
##
#############################################################################
+set -ex
+
source "${BASH_SOURCE%/*}/../common/integrity.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh
index 3eced1a4..e91cee9f 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh
@@ -33,4 +33,6 @@
##
#############################################################################
+set -ex
+
source "${BASH_SOURCE%/*}/../common/disable_selinux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh
index b69295fc..af7d7c13 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh
@@ -34,4 +34,7 @@
#############################################################################
source /opt/rh/devtoolset-4/enable
+
+set -ex
+
source "${BASH_SOURCE%/*}/../common/openssl_for_android_linux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh
index 637c4224..5808a45c 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh
@@ -33,4 +33,6 @@
##
#############################################################################
+set -ex
+
source "${BASH_SOURCE%/*}/../common/android_linux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
index 6ae0f820..40cb276a 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
@@ -33,10 +33,10 @@
##
#############################################################################
-source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
-
set -ex
+source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
+
packageEpel="epel-release-latest-7.noarch.rpm"
OfficialUrl="https://dl.fedoraproject.org/pub/epel/$packageEpel"
CachedUrl="http://ci-files01-hki.intra.qt.io/input/redhat/$packageEpel"